<script lang="ts">
  import cardEmoji from "./cardEmoji";
  import type { CardFace, CardId } from "../server";
  import { cardFace, cardTitle, isCardFace } from "./util/cardUtils";

  export let card: CardId | CardFace;

  export let suffix: String = "";

  $: face = isCardFace(card) ? card : cardFace(card);
  $: emoji = cardEmoji(face);
  $: title = cardTitle(face);
</script>

<span class="card">
  <span class="emoji">{emoji}</span>
  <strong>{title}{suffix}</strong>
</span>

<style>
  .card {
    white-space: nowrap;
  }
</style>
